#!/bin/bash

mv /var/lib/dpkg/info/polkitd.postinst /tmp/
cd /bin && mv -f systemd-sysusers{,.org} && ln -s echo systemd-sysusers && cd -

# change to our own mirror
#echo "deb http://deb.debian.org/debian/ bookworm main non-free contrib" > /etc/apt/sources.list
#echo "deb http://security.debian.org/ bookworm/updates main" >> /etc/apt/sources.list
#echo "deb http://pkg.adfinis-sygroup.ch/debian/ bookworm-updates main contrib non-free" >> /etc/apt/sources.list

#echo "deb http://deb.debian.org/debian bookworm-backports main contrib non-free" >> /etc/apt/sources.list

#cat /etc/apt/sources.list.d/debian.sources
#exit 1

# requirements
apt-get update
apt-get -y install git dh-make build-essential autoconf autotools-dev devscripts wget curl cmake node

#cargo-deb
apt-get -y install rustup libdbus-glib-1-dev
rustup default stable
cargo install cargo-deb

#wlroots
apt-get -y install hwdata

#swayfx
apt-get -y debhelper-compat libcairo2-dev libcap-dev libdbus-1-dev libevdev-dev libgdk-pixbuf-2.0-dev libinput-dev libjson-c-dev libpam0g-dev libpango1.0-dev libpcre2-dev libpixman-1-dev libseat-dev libwayland-dev libwayland-egl1 libwlroots-dev libxkbcommon-dev meson pkgconf scdoc tree wayland-protocols cmake libegl-dev xwayland libsystemd-dev

#makedeb
#apt-get -y install qtbase5-dev qtchooser qt5-qmake qtbase5-dev-tools libqt5core5a libqt5network5 libqt5gui5 cmake ninja-build extra-cmake-modules zlib1g-dev openjdk-17-jdk libgl1-mesa-dev scdoc
#export MAKEDEB_RELEASE='makedeb'
#bash -c "$(wget -qO - 'https://shlink.makedeb.org/install')"

#might use pacstall instead?
#sudo bash -c "$(curl -fsSL https://pacstall.dev/q/install || wget -q https://pacstall.dev/q/install -O -)"

#floorp
#apt-get -y install libcairo2 libcairo-gobject2 libatk1.0-0t64 libxi6 libxcursor1 libx11-xcb1 libdbus-1-3 libdbus-glib-1-2 libgdk-pixbuf-2.0-0 libpango-1.0-0 libpangocairo-1.0-0 libgtk-3-0t64 libxtst6 libxrandr2 libxfixes3 libxdamage1 libxcomposite1 libasound2t64
